
package com.tmerclub.cloud.live.vo;

import com.tmerclub.cloud.common.product.vo.search.SpuSearchVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 直播商品VO
 * @author TRACK
 */
public class LiveRoomProdVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "直播间商品信息")
    private Long roomProdId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "房间id")
    private Long roomId;

    @Schema(description = "主播id")
    private Long userId;

    @Schema(description = "讲解状态 0未讲解 1讲解中")
    private Integer explainStatus;

    @Schema(description = "商品信息")
    private SpuSearchVO spuSearchVO;

    public Long getRoomProdId() {
        return roomProdId;
    }

    public void setRoomProdId(Long roomProdId) {
        this.roomProdId = roomProdId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public Integer getExplainStatus() {
        return explainStatus;
    }

    public void setExplainStatus(Integer explainStatus) {
        this.explainStatus = explainStatus;
    }

    public SpuSearchVO getSpuSearchVO() {
        return spuSearchVO;
    }

    public void setSpuSearchVO(SpuSearchVO spuSearchVO) {
        this.spuSearchVO = spuSearchVO;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "LiveRoomProdVO{" +
                "roomProdId=" + roomProdId +
                ", spuId=" + spuId +
                ", roomId=" + roomId +
                ", userId=" + userId +
                ", explainStatus=" + explainStatus +
                ", spuSearchVO=" + spuSearchVO +
                '}';
    }
}
